Soft archive: the environment is retained but excluded from list results by default; it can still be retrieved. Sessions already bound to this environment continue to work.
Prerequisites
Endpoint and authentication are configured. See Overview and authentication.
Endpoint
POST /environments/{environment_id}/archive
Semantics
Soft archive: the response returns the full environment object with the archived_at field populated with the archive time. Once archived, the environment is excluded from list results by default (unless include_archived=true), but can still be retrieved via GET. Sessions already bound to this environment continue to work.
Request example
Response example
archived_at field populated with the archive time. Fields are as follows:
Response fields
| Field | Type | Description |
|---|---|---|
id | string | Environment ID |
type | string | Fixed value environment |
name / description / scope / config / metadata | string / object | Basic environment attributes and full runtime configuration |
archived_at | string | Archive time, ISO 8601; this field is always non-null in the response from the archive endpoint |
created_at / updated_at | string | Creation / last update time |
requestId | string | Unique identifier for this request |